Bug 463558 - [LTC 6.0 FEAT] 201137:Overriding of built-in kernel modules during install
[LTC 6.0 FEAT] 201137:Overriding of built-in kernel modules during install
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-23 17:21 EDT by IBM Bug Proxy
Modified: 2009-09-16 13:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 16:38:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 17:21:00 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:03 EDT
1. Feature Overview:
Feature Id:	[201137]
a. Name of Feature:	Overriding of built-in kernel modules during install
b. Feature Description
RHEL5 (pre 5.2) did not allow overriding modules at install time.  This functionality is often
required to allow vendor supported drivers the ability to be used at install time (via a DUD with
warm xfer agreements in place).    This is covered by Red Hat bugzilla: 
https://bugzilla.redhat.com/show_bug.cgi?id=233992

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64

Arch Specificity: Purely Common Code
Affects Installer: Yes
Delivery Mechanism: Request Red Hat development assistance
Category:	xSeries
Request Type:	Installer - Enhancement from Distributor
d. Upstream Acceptance:	No Code Required
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	no
g. Component Version Target:	module-init-tools

3. Business Case
Several request have occurred as to why this functionality is not present.  If an in box driver does
not support a particular chipset we need to have a solution for our hardware.  This is typically
handled as a DUD with a warm xfer agreement with Redhat.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Julio Alvarez, julioa@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 15:53:23 EDT
I believe this is more of an anaconda issue.
Comment 2 Chris Lumens 2009-05-19 13:43:13 EDT
How does the driver update disk not provide this functionality?  It seems to me that's exactly what it is designed to do - allow you to use a new kernel driver that includes support for a new piece of hardware that the driver we shipped with did not.  What more is required here?
Comment 3 IBM Bug Proxy 2009-09-16 13:31:00 EDT
------- Comment From lcm@us.ibm.com 2009-09-16 13:29 EDT-------
Evidently, this has already been fixed post RHEL5.2/3. So, as long as that remains true for the RHEL6 installer, then there's nothing to do here and this can be closed.

Note You need to log in before you can comment on or make changes to this bug.